PLHLSRGB(3)

NAME
plhlsrgb - Convert HLS color to RGB

SYNOPSIS
plhlsrgb(h, l, s, p_r, p_g, p_b)

DESCRIPTION

Convert HLS color coordinates to RGB

ARGUMENTS

h (PLFLT, input)
    Hue, in degrees on the colour cone (0.0-360.0)

l (PLFLT, input)
    Lightness, expressed as a fraction of the axis of the colour cone (0.0-1.0)

s (PLFLT, input)
    Saturation, expressed as a fraction of the radius of the colour cone (0.0-1.0)

p_r (PLFLT *, output)
    Pointer to red intensity (0.0-1.0) of the colour

p_g (PLFLT *, output)
    Pointer to green intensity (0.0-1.0) of the colour

p_b (PLFLT *, output)
    Pointer to blue intensity (0.0-1.0) of the colour

AUTHORS
Geoffrey Furnish and Maurice LeBrun wrote and maintain PLplot. This man page was automatically generated from the DocBook source of the PLplot documentation, maintained by Alan W. Irwin and Rafael Laboissiere.

SEE ALSO
PLplot documentation at http://plplot.sf.net/resources.